VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Optical Counter"
   ClientHeight    =   4275
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   4050
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4275
   ScaleWidth      =   4050
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdReset 
      Caption         =   "Reset"
      Height          =   495
      Left            =   1418
      TabIndex        =   8
      Top             =   3720
      Width           =   1215
   End
   Begin VB.TextBox txtCompleted 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1005
      Left            =   960
      TabIndex        =   6
      Text            =   "0"
      Top             =   2640
      Width           =   3015
   End
   Begin VB.TextBox txtRemaining 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1005
      Left            =   960
      TabIndex        =   3
      Text            =   "0"
      Top             =   1560
      Width           =   3015
   End
   Begin VB.TextBox txtCount 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   885
      Left            =   960
      TabIndex        =   2
      Text            =   "0"
      Top             =   600
      Width           =   3015
   End
   Begin VB.TextBox txtTarget 
      Height          =   285
      Left            =   960
      TabIndex        =   0
      Text            =   "0"
      Top             =   240
      Width           =   3015
   End
   Begin VB.Label lblCompleted 
      Caption         =   "Completed"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   3000
      Width           =   855
   End
   Begin VB.Label lblRemaining 
      Caption         =   "Remaining"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   1920
      Width           =   855
   End
   Begin VB.Label lblCount 
      Caption         =   "Count"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   960
      Width           =   495
   End
   Begin VB.Label lblTarget 
      Caption         =   "Target"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   360
      Width           =   495
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private lngCount As Long
Private lngTarget As Long

Private Sub cmdReset_Click()
    lngCount = 0
    UpdateDisplay
End Sub

Private Sub Form_Load()
    txtTarget_Change
    WheelHook hWnd
End Sub

Private Sub Form_Unload(Cancel As Integer)
    WheelUnHook hWnd
End Sub

Public Sub IncrementCounter()
    lngCount = lngCount + 1
    UpdateDisplay
End Sub

Private Sub UpdateDisplay()
    txtCount.Text = lngCount
    txtRemaining.Text = lngTarget - lngCount
    On Error Resume Next
    txtCompleted.Text = Format(Round(lngCount / lngTarget * 100, 1), "0.0") & "%"
End Sub

Private Sub txtTarget_Change()
    If IsNumeric(txtTarget.Text) Then
        lngTarget = Int(txtTarget)
        If lngTarget = 0 Then lngTarget = lngCount
    Else
        lngTarget = lngCount
    End If
    UpdateDisplay
End Sub
